---
class: ember
---
# Consul::Metadata::List

A presentational component for presenting Consul Metadata

The following example shows how to construct the required structure from the Consul API using ember-componsable-helpers' `entries` helper.

```hbs
<DataSource @src="/partition/default/dc-1/service-instance/service-id/node-0/service-0" as |source|>
  <Consul::Metadata::List
    @items={{entries source.data.firstObject.Meta}}
  />
</DataSource>
```


### Arguments

| Argument/Attribute | Type | Default | Description |
| --- | --- | --- | --- |
| `items` | `array` |  | An array of entries or `[key, value]` pairs as returned by `Object.entries()` |


### See

- [Component Source Code](./index.js)
- [Template Source Code](./index.hbs)

---
